Skip to main content
Version: V1 (deprecated)

Remove image background

POST 

/v1/artworks/remove-background

Remove the background from an image, returning a new artwork with transparent background.

Request

Body

required

    imageUrl stringrequired
    imageFormat string

    Possible values: [png, webp]

    Default value: png

    Specify the format of the output image: png or webp

Responses

Response containing the artwork with background removed.

Schema

    id uuidrequired
    artworkType stringrequired

    Possible values: [remove_background]

    parameters

    object

    required

    imageUrl uri

    URL of the image to remove the background from.

    imageFormat string

    Possible values: [png, webp]

    Output image format. Defaults to "png". Supported values: "png", "webp".

    bucket string
    webhook uri

    Optional webhook URL. When provided, the server will POST the final artwork result to this URL upon completion.

    duration numberrequired
    results string[]required
    status stringrequired

    Possible values: [starting, processing, succeeded, failed, canceled]

    createdAt date-timerequired
Loading...